Bug 1130725 - Oh no! Something has gone wrong.
Summary: Oh no! Something has gone wrong.
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: gdm
Version: 20
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Ray Strode [halfline]
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-17 03:41 UTC by Satish Balay
Modified: 2015-06-29 22:05 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-29 22:05:55 UTC


Attachments (Terms of Use)
dmesg.log (72.64 KB, text/plain)
2014-08-17 03:41 UTC, Satish Balay
no flags Details
yum history info (30.71 KB, text/plain)
2014-08-17 03:42 UTC, Satish Balay
no flags Details

Description Satish Balay 2014-08-17 03:41:22 UTC
Created attachment 927402 [details]
dmesg.log

Description of problem:

On booting the machine after a recent yum update - I'm greeted with the message:
Oh no! Something has gone wrong.

[Normally I would see a login prompt here].

I'm not sure what component is messed up - but since I'm unable to login - I'm filing it against gdm

Version-Release number of selected component (if applicable):

gdm-3.12.2-1.fc20.i686
gnome-shell-3.12.2-2.fc20.i686
gnome-settings-daemon-3.12.2-1.fc20.i686

How reproducible:

The message comes in consistantly

Steps to Reproduce:
1. yum update
2. reboot

Actual results:

Get the message:
Oh no! Something has gone wrong.


Expected results:

A GDM login screen

Additional info:

This is a 32bit F20 install on a thinkpad T400 with gnome-3.12 installed from rhughes-f20-gnome-3-12 repo. The previous 'yum update' was invoked on 2014-07-22

Subsequent 'yum update kernel* && yum update' on 2014-08-14 triggered this error.

I see some segfaults in 'dmesg' - perhaps its related.

[root@nemo ~]# dmesg |grep segfault
[   36.079431] gnome-settings-[590]: segfault at 1 ip b7643c0b sp bfc2bcfc error 4 in libc-2.18.so[b74f4000+1b8000]
[   36.310999] gnome-settings-[717]: segfault at 1 ip b7658c0b sp bfdd17cc error 4 in libc-2.18.so[b7509000+1b8000]
[   38.566282] gnome-shell[624]: segfault at 1 ip b769fc0b sp bf88e42c error 4 in libc-2.18.so[b7550000+1b8000]
[   40.114058] gnome-shell[937]: segfault at 1 ip b7605c0b sp bf97a35c error 4 in libc-2.18.so[b74b6000+1b8000]


I'm not able to 'yum history undo' as the old packages are not available anymore. I've attempted to reinstall a few packages - (glibc etc) but it doesn't help. I've done subsequent 'yum update' - and thats not helping either.

looking for help (workarrounds) to revert the machine back to a useable state.

thanks,

Comment 1 Satish Balay 2014-08-17 03:42:56 UTC
Created attachment 927403 [details]
yum history info

Comment 2 Satish Balay 2014-08-17 05:30:09 UTC
I'm able to recover now with 'yum --disablerepo=rhughes-f20-gnome* distro-sync'

Previously I had trouble handling broken dependencies. But now - the following sequence did the trick [perhaps the first one was not needed - and the second one could have been rolled into yum shell]

<edit /etc/yum.repos.d/rhughes-f20-gnome-3-12.repo and disable repo>

yum remove NetworkManager-vpnc-gnome-0.9.8.2-3.fc20.i686 NetworkManager-openvpn-0.9.9.0-0.1.git20140128.fc20.i686 NetworkManager-pptp-gnome-0.9.8.2-3.fc20.i686 NetworkManager-openconnect-0.9.8.4-1.fc20.i686 NetworkManager-pptp-0.9.8.2-3.fc20.i686 NetworkManager-openvpn-gnome-0.9.9.0-0.1.git20140128.fc20.i686 NetworkManager-vpnc-0.9.8.2-3.fc20.i686
yum remove NetworkManager-adsl NetworkManager-bluetooth NetworkManager-wwan
yum shell
 distro-sync
 install gdm-libs
 remove compat-cogl116 compat-gnome-bluetooth310-libs
 run
yum remove gnome-sound-recorder.i686 libinput.i686


With this rollback - I'm able to login from GDM again.

Comment 3 Fedora End Of Life 2015-05-29 12:39:08 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 4 Fedora End Of Life 2015-06-29 22:05:55 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.